# https://www.mpscholten.de/nixos/2016/07/07/private-github-repositories-and-nixos.html
# https://nixos.org/wiki/FAQ#How_do_I_know_the_sha256_to_use_with_fetchgit.3F

with import <nixpkgs> {};

stdenv.mkDerivation rec {
  version = "2017-01-20";
  name = "blog-gallery-${version}";

  src = fetchgit {
    url = "https://gogs.prunetwork.fr/lothy/recette-cuisine.git";
    rev = "a987f465e818c7b32bcbc20f3d76f754f4645333";
    sha256 = "1kfjwx095hm80qzjvchnbikm3xc4j6vfzbnfc3yrrk2qc6lz0ghc";
  };

  buildInputs = [ jekyll ];
  buildPhase = "jekyll build";
  installPhase = "cp -R _site \$out";

  meta = with stdenv.lib; {
    description = "Site web de recette de cuisine";
    homepage = https://gogs.prunetwork.fr/lothy/recette-cuisine;
    license = licenses.cc-by-nc-sa-40;
    maintainers = [ "Jean-Pierre PRUNARET <jean-pierre+git@prunetwork.fr>" ];
    platforms = platforms.linux;
  };
}
