{ nixpkgs ? import <nixpkgs> {} 
, astdenv ? nixpkgs.stdenv
#, callPackage
#, fetchurl
#, makeDesktopItem
#, makeWrapper
#, patchelf

#, coreutils
#, gnugrep
#, which
#, git
#, python
#, unzip
#, p7zip

#, androidsdk, jdk
}:

with nixpkgs;
assert astdenv.isLinux;

let
  mkIdeaProduct = callPackage ./common.nix { };

  buildIdea = { name, version, src, license, description, wmClass }:
    (mkIdeaProduct rec {
      inherit name version src wmClass jdk;
      product = "IDEA";
      meta = with astdenv.lib; {
        homepage = "https://www.jetbrains.com/idea/";
        inherit description license;
        longDescription = ''
          IDE for Java SE, Groovy & Scala development Powerful
          environment for building Google Android apps Integration
          with JUnit, TestNG, popular SCMs, Ant & Maven.
        '';
        maintainers = with maintainers; [ jpierre03 ];
        platforms = platforms.linux;
      };
    });
in

{
  idea14-ultimate = buildIdea rec {
    name = "idea-ultimate-${version}";
    version = "14.1.7";
    description = "Integrated Development Environment (IDE) by Jetbrains, requires paid license";
    license = astdenv.lib.licenses.bsd3;
    #license = stdenv.lib.licenses.unfree;
    src = fetchurl {
      url = "https://download.jetbrains.com/idea/ideaIU-${version}.tar.gz";
      sha256 = "1hhga1i2zbsipgq283gn19kv9n94inhr1bxh2yx19gz7yr4r49d2";
    };
    wmClass = "jetbrains-idea";
  };
}
